Commit 60df5744 by Szeberényi Imre

v1

parent addf5f4d
####
Dummy palyaers for labs
####
player.h, player.cpp :
* Player's basic class. Implementing the server communication.
main.cpp :
* Implements a simple burglar and cop players.
* They are moving randomly and create log messages in *.log files.
test.sh :
* Test script for the simple players version.
mpimain.cpp :
* Simple MPI communication example.
* The silly policeman moving randomly and shouting to his radio, if
he sees the robber.
* The others can hear this, but they don't know where the robber is.
mptest.sh :
* Test script for the MPI version. Starts a burglar, and starts the
MPI processes.
Compile:
module load mpi
make
Starting the clients:
Futtatas:
Feltetelezzuk, hogy a laborgepen, amin dolgozunk a szervert elinditottuk. (szerver.bat)
A szerver fixen a 15623-as porton hallgat. Ide kell tunnelezni a klinenseket.
Hogy ne legyen portutkozes, az a javaslat hogy mindeki egyedi portot (RABLO_PORT) hasznaljon.
RABLO_PORT=15000+UID, ahol UID az adott felhasznalo UID-je (id -u)
let RABLO_PORT=15000+`id -u`
export RABLO_PORT
A laborgepet es a jatekosokat futtato gepet (pl. ural2) ssh tunnelen keresztuk kapcsoljuk ossze.
(putty:
Session->SSH->Tunnels
X Local ports accept connection from othrer hosts
Source port: RABLO_PORT_ERTEKE
Destination: localhost:15623
X Remote
X Ipv4
Add
)
Ha a javas server fut indithato a test.sh, vagy az mpitest.sh
A *.log-okban lathato a kommunikacio.
./test.sh: line 20: ./main: No such file or directory
......@@ -6,12 +6,32 @@ cleanup() {
trap "cleanup" EXIT
# Computes the uniq port number for communication
if [ x$PORT = x ]; then
if [ ! -x main ]; then
echo "*** main does not exist or not executable ***"
exit 1
fi
if [ ! -x mpimain ]; then
echo "*** mpimain does not exist or not executable ***"
exit 1
fi
if ! type mpirun &> /dev/null ; then
echo "No mpirun command found"
echo "Set up the MPI runtime environment first"
exit 1
fi
# Computes the unique port number for communication
# Computes the unique port number for communication
if [ x$PORT = x ]; then
let PORT=15000+`id -u`
fi
echo PORT: $PORT
echo ""
echo "PORT: $PORT Use this as remote port in the tunnel configuration."
echo ""
PORT=$PORT
HOST=localhost
COPS=5 # The number of cops
......
......@@ -6,12 +6,20 @@ cleanup() {
trap "cleanup" EXIT
# Cumoutes the uniq port number for communication
if [ ! -x main ]; then
echo "*** main does not exist or not executable ***"
exit 1
fi
# Computes the unique port number for communication
if [ x$PORT = x ]; then
let PORT=15000+`id -u`
fi
echo PORT: $PORT
echo ""
echo "PORT: $PORT Use this as remote port in the tunnel configuration."
echo ""
PORT=$PORT
HOST=localhost
COPS=5 # The number of cops
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or sign in to comment